function [Samples]=GenerarMuestrasImg(NomFich,NumSamples)
% Coded by Ezequiel Lpez-Rubio, April 2012.

Imagen=rot90(double(rgb2gray(imread(NomFich)))/255,3);

[FilasIm,ColsIm]=size(Imagen);





Samples=[];
for Ndx=1:NumSamples
    Hecho=0;
    while Hecho==0
        PreMuestra = random('unif', 0, 1, 2, 1);  % Obtener NumSamples puntos de distribucion uniforme
        Punto=ceil(PreMuestra.*[FilasIm;ColsIm]);
        if Imagen(Punto(1),Punto(2))<0.5
            Samples(:,Ndx)=PreMuestra;
            Hecho=1;
        end
    end
end
