function [Density]=LocalCompleteGaussian(Model,TestInput,NdxGaussian)
% Coded by Ezequiel Lpez-Rubio, April 2012.
% We consider the full covariance matrix here

% Input space dimension
Dimension=size(Model.Samples,1);
% Compute the probability density
Density=(2*pi)^(-Dimension/2)*(Model.NormCovariances{NdxGaussian}^(-0.5));
VectorDif=TestInput-Model.Means{NdxGaussian};
Density=Density*exp(-0.5*VectorDif'*Model.InvCovariances{NdxGaussian}*VectorDif);
